---
title: cursor
slug: Web/SVG/Attribute/cursor
tags:
  - SVG
  - SVG Attribute
---
<p>« <a href="/en/SVG/Attribute" title="en/SVG/Attribute">SVG Attribute reference home</a></p>

<p>The <code>cursor</code> attribute specifies the mouse cursor displayed when the mouse pointer is over an element.</p>

<p>This attribute behaves exactly like the {{ cssxref("cursor","CSS cursor") }} property except that if the browser supports the {{ SVGElement("cursor") }} element, you should be able to use it with the <a href="/en/SVG/Content_type#FuncIRI">&lt;funciri&gt;</a> notation.</p>

<p>As a presentation attribute, it also can be used as a property directly inside a CSS stylesheet, see {{ cssxref("cursor","CSS cursor") }} for further information.</p>

<h2 id="Usage_context">Usage context</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Categories</th>
   <td>Presentation attribute</td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td>[[<a href="/en/SVG/Content_type#FuncIRI">&lt;funciri&gt;</a>,]* [ <strong>auto</strong> | crosshair | default | pointer | move | e-resize | ne-resize | nw-resize | n-resize | se-resize | sw-resize | s-resize | w-resize| text | wait | help ]] | inherit</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a class="external" href="http://www.w3.org/TR/SVG11/interact.html#CursorProperty">SVG 1.1 (2nd Edition)</a></td>
  </tr>
 </tbody>
</table>

<p>{{ page("/en/SVG/Content_type","FuncIRI") }}</p>

<h2 id="Elements">Elements</h2>

<p>The following elements can use the <code>cursor</code> attribute</p>

<ul>
 <li><a href="/en/SVG/Element#Container_elements" title="en/SVG/Element#Container_elements">Container elements</a> »</li>
 <li><a href="/en/SVG/Element#Graphics_elements" title="en/SVG/Element#Graphics_elements">Graphics elements</a> »</li>
</ul>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.cursor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ cssxref("cursor","CSS cursor") }}</li>
</ul>
